﻿
using System;
using Wisej.Web;

namespace HighchartsSample
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

	    // provide data 
		private void widget1_WebRequest(object sender, WebRequestEventArgs e)
		{			
			string csv = GenerateCSVData();
			e.Response.ContentType = "text/csv";
			e.Response.Write(csv);
		}

		// generate random sample data in csv format
		private string GenerateCSVData ()
		{
			string Data = "Year,First,Second";
			Random r1 = new Random();
			for (int Year = 1980; Year <= 2017; Year++)
			{	
				Data += "\n";
				Data += Year.ToString();
				Data += ",";
				Data += r1.Next(100).ToString();
				Data += ",";
				Data += r1.Next(100).ToString();
			}
			return Data;
		}

		// handle events
		private void widget1_WidgetEvent(object sender, WidgetEventArgs e)
		{
			if (e.Type == "click")
				AlertBox.Show("Series= " + e.Data.series + " X= " + e.Data.x + " Y= " + e.Data.y);
		}
	}
}
